# Program to illustrate the basic concepts of class, objects, and methods

class Robot(object):
    """Simple class for a robot"""
    
    # Constructor method
    def __init__(self, name):
        print("\nA new robot has been built!")
        self.name = name
    
    def __str__(self):
        rep = "Robot object\n"
        rep += "name: " + self.name + "\n"
        return rep
    
    # Method talk()
    def talk(self):
        print("\nHi. I'm an instance of class Robot. My name is ",self.name)
    
def main():
    
    # Instantiating an object of the Robot class and assigns it to the variable r2d2 
    r2d2 = Robot("R2D2")
    
    # Instantiating an object of the Robot class and assigns it to the variable c3p0
    c3p0 = Robot("C3P0")
    
    # Invoking the method talk()
    r2d2.talk()
    
    # Invoking the method talk()
    c3p0.talk()
    
    print("\nPrinting r2d2:")
    print(r2d2)
    
    print("\nDirectly accessing r2d2.name:")
    print(r2d2.name)

main()